Subject: Re: [PATCH 1/5] 9p: fix ignored return value in v9fs_dir_release

From: Simon Horman <[email-masked]>
Date: Wed, 3 May 2023 09:17:28 +0200

On Wed, May 03, 2023 at 08:32:49AM +0900, Dominique Martinet wrote:
> Thanks for all the reviews!
> 
> Simon Horman wrote on Tue, May 02, 2023 at 04:46:17PM +0200:
> > On Thu, Apr 27, 2023 at 08:23:34PM +0900, Dominique Martinet wrote:
> > > retval from filemap_fdatawrite was immediately overwritten by the
> > > following p9_fid_put: preserve any error in fdatawrite if there
> > > was any first.
> > > 
> > > This fixes the following scan-build warning:
> > > fs/9p/vfs_dir.c:220:4: warning: Value stored to 'retval' is never read [deadcode.DeadStores]
> > >                         retval = filemap_fdatawrite(inode->i_mapping);
> > >                         ^        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > 
> > Perhaps:
> > 
> > Fixes: 89c58cb395ec ("fs/9p: fix error reporting in v9fs_dir_release")
> 
> Right, this one warrants a fix tag as it's the only real bug in this
> series.

Hi Dominique,

Yes, I agree that this seems to be the only patch in this series
that warrants a fixes tag.